Bug 62692 - Remnants of previous desktop session remain after relogin.
Remnants of previous desktop session remain after relogin.
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
Aaron Brown
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-04 09:55 EST by Alexander Farley
Modified: 2007-04-18 12:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-19 11:13:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Farley 2002-04-04 09:55:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020328

Description of problem:
After a relogin with "startx" from one account to the same account or another
account (including root and in one case a Windows XP session?)  remnants of the
previous session (i.e. web pages, email, various windows, background etc.) are
present on the screen from the time that the initial desktop comes up (right
after the lighthouse splash window) until the normal desktop background is
loaded (approximately 3-5? seconds).  I believe that all of the remnants are all
http products but I can not verify this.  

Version-Release number of selected component (if applicable):Nautilus 1.0.6.(x)


How reproducible:
Sometimes

Steps to Reproduce:
1.Normal entry into a given account's session using "startx" and then use of
that session especially with Mozilla, Netscape, and Galeon.
2.logout of the session and relogin into the same account or a different account.
3.
	

Actual Results:  In between the start-up splash window and when the normal
background is loaded, images from the previous session are present in the
background.

Expected Results:  No images from the previous session should have appeared in
the background.

Additional info:

The problem has been present in the past several RawHide releases of
Nautilus/Nautilus-Mozilla 1.0.6
In my case this is simply a cosmetic issues, which does not need to be resolved
because I am the only person who uses my computer.  However, if there were
multiple users, it might be possible for one of the users to access sensitive
information and/or passwords if they had been on the screen in the previous session.
I appologize if the problem is a little vague, I can only give qualitative
output of the problem.
Comment 1 Havoc Pennington 2002-04-10 11:43:33 EDT
This is caused by pixels left around in memory - X should maybe clear those
somehow, I'm not sure what the usual solution is.
Comment 2 Mike A. Harris 2002-05-28 02:12:37 EDT
Indeed this is a video driver issue with clearing video memory.  It has
nothing to do with any given application.  This is something that should
likely be done in every one of the video drivers IMHO as a cosmetic clean
up, however it is just that - cosmetic.

What video card are you using?
Comment 3 Alexander Farley 2002-05-29 09:53:22 EDT
The problems occured when I was using a 3DLabs GVX1 Pro card/ glint driver.  I
have since switched to a FireGL2 and have not seen remnants of previous sessions
again (though any comparison is unfair, since the fgl23 drivers are from ATI and
not directly from XFree86 et al.). I have also used a Matrox G550, nVidia TNT2
M64, and nVidia geForce 2 MX 400 and I do not remember any of the three giving
this effect.
Comment 4 Mike A. Harris 2002-08-19 06:35:28 EDT
Please try the latest beta release of Red Hat Linux, with XFree86
updates from rawhide.  There is a new 3Dlabs driver in our latest
beta.

I've also Cc'd Alan Hourihane, the glint driver maintainer.
Comment 5 Alexander Farley 2002-08-19 11:13:15 EDT
I will try the new driver today (8/19/2002) (I assume the Rawhide glint driver
is the same as the beta, since limbo is not available on any of the ftp sites).
Comment 6 Mike A. Harris 2002-11-24 06:02:09 EST
Assuming the problem went away, and closing as fixed in current RAWHIDE

Note You need to log in before you can comment on or make changes to this bug.